textures/stealth4/cyanbar
{
	cull none
	noPicmip 
	surfaceparm trans 
	deformVertexes wave 160 sin 0 3 0 0.3
	q3map_tessSize 384
	{
		map textures/stealth4/3bar1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 0.78 1.0 )
		tcmod scale 1 1
		tcMod scroll 0.3 0
	} 
	{
		map textures/stealth4/3bar2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 0.78 1.0 )
		tcmod scale 1 1
		tcMod scroll -0.4 0
	} 
	{
		map textures/stealth4/3bar3.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		//rgbgen wave sin 0.5 1 0 0.2
		rgbGen const ( 0.0 0.78 1.0 )
		tcmod scale 1 1
		tcMod scroll 0.2 0
	} 
}

textures/stealth4/greenbar
{
	cull none
	noPicmip 
	surfaceparm trans 
	deformVertexes wave 160 sin 0 3 0 0.3
	q3map_tessSize 384
	{
		map textures/stealth4/3bar1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 1.0 0.0 )
		tcmod scale 1 1
		tcMod scroll 0.3 0
	} 
	{
		map textures/stealth4/3bar2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 1.0 0.0 )
		tcmod scale 1 1
		tcMod scroll -0.4 0
	} 
	{
		map textures/stealth4/3bar3.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		//rgbgen wave sin 0.5 1 0 0.2
		rgbGen const ( 0.0 1.0 0.0 )
		tcmod scale 1 1
		tcMod scroll 0.2 0
	} 
}

textures/stealth4/redbar
{
	cull none
	noPicmip 
	surfaceparm trans 
	deformVertexes wave 160 sin 0 3 0 0.3
	q3map_tessSize 384
	{
		map textures/stealth4/3bar1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 1.0 0.0 0.0 )
		tcmod scale 1 1
		tcMod scroll 0.3 0
	} 
	{
		map textures/stealth4/3bar2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 1.0 0.0 0.0 )
		tcmod scale 1 1
		tcMod scroll -0.4 0
	} 
	{
		map textures/stealth4/3bar3.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		//rgbgen wave sin 0.5 1 0 0.2
		rgbGen const ( 1.0 0.0 0.0 )
		tcmod scale 1 1
		tcMod scroll 0.2 0
	} 
}

textures/stealth4/greenbeam
{
	qer_editorimage textures/sfx/beam_1.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/sfx/beam_1.tga
		blendFunc add
		rgbGen const ( 0.0 1.0 0.0 )
	}
}

textures/stealth4/redbeam
{
	qer_editorimage textures/sfx/beam_1.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/sfx/beam_1.tga
		blendFunc add
		rgbGen const ( 1.0 0.0 0.0 )
	}
}

textures/stealth4/beam
{
	qer_editorimage textures/sfx/beam_1.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/sfx/beam_1.tga
		blendFunc add
	}
}

textures/stealth4/stealthcore
{
	  qer_editorimage textures/stealth4/tiledark.tga
	  surfaceparm nodamage
	  surfaceparm nomarks
        {
		map textures/stealth4/tiledark.tga
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
        }	
        {
		map textures/stealth4/hologirl.tga
                tcmod scale 4 .2
                tcmod scroll 6 .6
                blendFunc GL_ONE GL_ONE
                rgbGen identity                
	  }
	  {
		map textures/stealth4/tiledark.tga
                blendfunc blend
		rgbGen identity
	  }
        {
		map $lightmap
		blendFunc filter
	  }
}

textures/stealth4/stealthcore_NS
{
	  qer_editorimage textures/stealth4/tiledark.tga
	  surfaceparm nodamage
	  surfaceparm nomarks
	  surfaceparm nonsolid
        {
		map textures/stealth4/tiledark.tga
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
        }	
        {
		map textures/stealth4/hologirl.tga
                tcmod scale 4 .2
                tcmod scroll 6 .6
                blendFunc GL_ONE GL_ONE
                rgbGen identity                
	  }
	  {
		map textures/stealth4/tiledark.tga
                blendfunc blend
		rgbGen identity
	  }
        {
		map $lightmap
		blendFunc filter
	  }
}

textures/stealth4/stealthwall
{
	  qer_editorimage textures/stealth4/darktile.tga
	  surfaceparm nodamage
	  surfaceparm nomarks
        {
		map textures/stealth4/darktile.tga
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
        }	
        {
		map textures/stealth4/hologirl.tga
                tcmod scale 4 .2
                tcmod scroll 6 .6
                blendFunc GL_ONE GL_ONE
                rgbGen identity                
	  }
	  {
		map textures/stealth4/darktile.tga
                blendfunc blend
		rgbGen identity
	  }
        {
		map $lightmap
		blendFunc filter
	  }
}

textures/stealth4/diniwater
{
	qer_editorimage textures/stealth4/pool3d_3e.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/stealth4/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/stealth4/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}


	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/stealth4/blackshine
{
	qer_editorimage textures/stealth4/black.jpg
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map textures/effects/wdfx_W.tga
		rgbGen identity
		tcGen environment
	}
      {
		map textures/stealth4/w1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen const ( 0.0 0.0 0.0 )
		// 0 0 0
      } 
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/stealth4/blackshine_NS
{
	qer_editorimage textures/stealth4/black.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/effects/wdfx_W.tga
		rgbGen identity
		tcGen environment
	}
      {
		map textures/stealth4/w1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen const ( 0.0 0.0 0.0 )
		// 0 0 0
      } 
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/stealth4/whiteshine
{
	qer_editorimage textures/stealth4/white.jpg
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map textures/effects/wdfx_W.tga
		rgbGen identity
		tcGen environment
	}
      {
		map textures/stealth4/w1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen const ( 1.0 1.0 1.0 )
		// 255 255 255
      } 
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/stealth4/whiteshine_NS
{
	qer_editorimage textures/stealth4/white.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/effects/wdfx_W.tga
		rgbGen identity
		tcGen environment
	}
      {
		map textures/stealth4/w1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen const ( 1.0 1.0 1.0 )
		// 255 255 255
      } 
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/stealth4/transblu
{
	qer_editorimage textures/sfx/construction.tga
      cull none 
      deformVertexes wave 1 sin -0.5 0 0 1
      noPicmip 
      surfaceparm trans 
      {
		map textures/sfx/construction.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 0.964 1.0 )
		// 0 246 255
            tcGen environment 
            tcMod scroll 0.025 -0.07625 
      } 
}

textures/stealth4/transred
{
	qer_editorimage textures/sfx/construction.tga
      cull none 
      deformVertexes wave 1 sin -0.5 0 0 1
      noPicmip 
      surfaceparm trans 
      {
		map textures/sfx/construction.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 1.0 0.0 0.0 )
		// 255 0 0
            tcGen environment 
            tcMod scroll 0.025 -0.07625 
      } 
}

textures/stealth4/transblack
{
	qer_editorimage textures/sfx/construction.tga
      cull none 
      deformVertexes wave 1 sin -0.5 0 0 1
      noPicmip 
      surfaceparm trans 
	surfaceparm nonsolid
      {
		map textures/sfx/construction.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
		// 0 0 0
            tcGen environment 
            tcMod scroll 0.025 -0.07625 
      } 
}

textures/stealth4/transgreen
{
	qer_editorimage textures/sfx/construction.tga
      cull none 
      deformVertexes wave 1 sin -0.5 0 0 1
      noPicmip 
      surfaceparm trans 
      {
		map textures/sfx/construction.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 1.0 0.0 )
		// 0 255 0
            tcGen environment 
            tcMod scroll 0.025 -0.07625 
      } 
}